import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AuthGuard } from './auth.guard';
import { LoginComponent } from './login/login.component';
import { NastaveniComponent } from './nastaveni/nastaveni.component';
import { PrehledComponent } from './prehled/prehled.component';
import { ZapomenuteHesloComponent } from './zapomenute-heslo/zapomenute-heslo.component';

const routes: Routes = [
  {
    path: 'login',
    component: LoginComponent,
    data: {
      title: 'Login',
    }
  },
  {
    path: 'zapomenute-heslo',
    component: ZapomenuteHesloComponent,
    data: {
      title: 'Zapomenuté heslo'
    }
  },
  {
    path: 'prehled',
    component: PrehledComponent,
    data: {
      title: 'Přehled',
    },
    canActivate: [AuthGuard]
  },
  {
    path: 'nastaveni',
    component: NastaveniComponent,
    data: {
      title: 'Nastavení',
    },
    canActivate: [AuthGuard]
  },
  {
    path: '**',
    pathMatch: 'full',
    redirectTo: 'login'
  }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
