import { IMPLICIT_REFERENCE } from '@angular/compiler/src/render3/view/util';
import { Component, OnInit, ViewChild } from '@angular/core';
import { MatSidenav } from '@angular/material/sidenav';
import { MatSnackBar } from '@angular/material/snack-bar';
import { Router, Routes } from '@angular/router';
import { AuthService } from './services/auth.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'env-monitor-frontend';
  opened = true;
  routes: Routes;

  userName: string;

  @ViewChild('sidenav') sidenav: MatSidenav;

  constructor(
    private router: Router,
    private authService: AuthService,
    private snackBar: MatSnackBar
  ) {}

  ngOnInit() {
    this.routes = this.router.config;
  }  

  sidenavToggle() {
    this.sidenav.toggle();
  }

  isLoggedIn() {
    return this.authService.authenticated;
  }

  logout() {
    this.authService.signOut(
      () => {
        this.router.navigate(['/login']);
      },
      (err) => {
        this.snackBar.open("Při odhlašování se vyskytl problém.", 'Zavřít', {panelClass: 'err-snackbar'});
      }
    );
  }
}
