import { ApexDataLabels, ApexFill, ApexMarkers, ApexStroke, ApexTitleSubtitle, ApexTooltip, ApexXAxis, ApexYAxis } from "ng-apexcharts";

export class DeviceSettings {
  id: string = null;
  sendTime: number = null;
  measureTime: number = null;
  measureVoc: boolean = false;
  measureCo2: boolean = false;
}

export class DeviceState extends DeviceSettings {
  empty: boolean = false;
}

/**
 * Workaroud pro práci s timestampem z firestore
 */
export class FirestoreTimestamp {
  nanoseconds: number;
  seconds: number;
}

export class DeviceData {
  timestamp = null;
  temp: number = null;
  humid: number = null;
  vocIndex?: number = null;
  co2ppm?: number = null;
}

export class ChartOptions {
  chart?: any = null; //ApexChart;
  dataLabels?: ApexDataLabels = null;
  markers?: ApexMarkers = null;
  title?: ApexTitleSubtitle = null;
  fill?: ApexFill = null;
  yaxis?: ApexYAxis = null;
  xaxis?: ApexXAxis = null;
  tooltip?: ApexTooltip = null;
  stroke?: ApexStroke = null;
  grid?: any = null; //ApexGrid;
  colors?: any = null;
  toolbar?: any = null;
  noData?: any = null;
};