import { ChartOptions } from "../data-model.interface";

export const commonOptions: ChartOptions = {
  chart: {
    type: 'line',
    height: 160,
    group: "measuredData"
  },
  dataLabels: {
    enabled: false
  },
  stroke: {
    curve: "straight"
  },
  toolbar: {
    tools: {
      selection: false
    }
  },
  tooltip: {
    //followCursor: false,
    //theme: "dark",
    x: {
      //show: false
      format: 'dd.MM.yyyy HH:mm:ss'
    },
    marker: {
      //show: false
    },
    y: {
      /*title: {
        formatter: function() {
          return "";
        }
      },*/
      formatter: function(val) {
        return val.toFixed(2);
      }
    }
  },
  // yaxis: {
  //   /*title: {
  //     text: "Teplota"
  //   },*/
  //   tickAmount: 2,
  //   labels: {
  //     //minWidth: 40
  //     formatter: function(val) {
  //       return val.toFixed(1);
  //     }
  //   }
  // },
  xaxis: {
    type: "datetime"
  },
  grid: {
    clipMarkers: false
  },
  /*noData: {
    text: 'Loading...'
  }*/
}

export const tempOptions: ChartOptions = {
  yaxis: {
    title: {
      text: "Teplota [°C]"
    },
    tickAmount: 2,
    labels: {
      formatter: function(val) {
        return val.toFixed(1);
      }
    }
  },
  chart: {
    id: "temp",
    ...commonOptions.chart
  },
}

export const humidOptions: ChartOptions = {
  yaxis: {
    title: {
      text: "Vlhkost [%]"
    },
    tickAmount: 2,
    labels: {
      formatter: function(val) {
        return val.toFixed(1);
      }
    }
  },
  chart: {
    id: "humid",
    ...commonOptions.chart
  },
}

export const vocIndexOptions: ChartOptions = {
  yaxis: {
    title: {
      text: "VOC index [-]"
    },
    tickAmount: 2,
    /*labels: {
      formatter: function(val) {
        return val.toFixed(1);
      }
    }*/
  },
  chart: {
    id: "vocIndex",
    ...commonOptions.chart
  },
}

export const co2ppmOptions: ChartOptions = {
  yaxis: {
    title: {
      text: "CO2 [ppm]"
    },
    tickAmount: 2,
    labels: {
      formatter: function(val) {
        return val.toFixed(1);
      }
    }
  },
  chart: {
    id: "co2ppm",
    ...commonOptions.chart
  },
}