import { Component, OnInit } from '@angular/core';
import { MatSnackBar } from '@angular/material/snack-bar';
import { Router } from '@angular/router';
import { AuthService } from '../services/auth.service';

@Component({
  selector: 'app-zapomenute-heslo',
  templateUrl: './zapomenute-heslo.component.html',
  styleUrls: ['./zapomenute-heslo.component.scss']
})
export class ZapomenuteHesloComponent implements OnInit {

  email: string;

  errorMessage: string = null;

  constructor(
    private authService: AuthService,
    private snackbar: MatSnackBar,
    private router: Router
  ) { }

  ngOnInit(): void {
    if (this.authService.authenticated) {
      this.router.navigate(['/prehled']);
    }
  }

  resetPassword() {
    this.authService.resetPasswordEmail(this.email,
      () => {
        this.snackbar.open('Na daný email byl zaslán odkaz pro obnovu hesla.', 'Zavřít', {panelClass: 'suc-snackbar'});
        this.router.navigate(['/login']);
      },
      (err) => {
        this.errorMessage = err;
      });
  }
}
