#include "sensirion_i2c.h"
#include "sensirion_common.h"

#include "sensors.h"
#include "driver/i2c.h"

int8_t sensirion_i2c_write(uint8_t address, const uint8_t* data, uint16_t count) {
  esp_err_t ret;
  i2c_port_t i2c_port = I2C_NUM_0;

  if (address == SCD30_ADDRESS) {
    i2c_port = I2C_NUM_1;
  }

  ret = sens_i2c_write(i2c_port, address, (uint8_t *)data, count);

  if (ret != ESP_OK) {
    return 1;
  }
  else {
    return NO_ERROR;
  }
}

int8_t sensirion_i2c_read(uint8_t address, uint8_t* data, uint16_t count) {
  esp_err_t ret;
  i2c_port_t i2c_port = I2C_NUM_0;

  if (address == SCD30_ADDRESS) {
    i2c_port = I2C_NUM_1;
  }

  ret = sens_i2c_read(i2c_port, address, data, count);

  if (ret != ESP_OK) {
    return 1;
  }
  else {
    return NO_ERROR;
  }
}

void sensirion_sleep_usec(uint32_t useconds) {
  vTaskDelay(((useconds/1000) / portTICK_PERIOD_MS) + 1);
}